XMLToken
Keywords: uk.ac.ic.doc.automed.xml.XMLToken class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xml
Class XMLToken

    java.lang.Object
      uk.ac.ic.doc.automed.xml.XMLToken

All Implemented Interfaces:
  XMLifyConstants

    public class XMLToken

extends java.lang.Object
implements XMLifyConstants

Nested Class Summary

Nested classes/interfaces inherited from interface uk.ac.ic.doc.automed.xml.XMLifyConstants
`XMLifyConstants.IgnoreNextElementException`

Field Summary
`java.lang.Object` | `datum`
`java.lang.String` | `name`
`int` | `type`

Fields inherited from interface uk.ac.ic.doc.automed.xml.XMLifyConstants
`CHARACTERS, CHILDREN, DEFINITIVE, DEFINITIVE_CHILDREN, DEFINITIVE_CHILDREN_RECURSE, DEFINITIVE_MEMBER, DEFINITIVE_MEMBER_AND_CHILDREN, DEFINITIVE_MEMBER_RECURSE, END_DOCUMENT, END_ELEMENT, ERROR, EXCLUDE, EXCLUDE_MEMBER, FATAL_ERROR, FIRSTPASS, IGNORABLE_WHITESPACE, MEMBER, NOTATION_DECL, OBJECT, OBJECT_CHILDREN, OBJECT_CHILDREN_RECURSE, OBJECT_MEMBER, OBJECT_MEMBER_AND_CHILDREN, OBJECT_MEMBER_RECURSE, ONEPASS, PRIMITIVE, PRIMITIVE_CHILDREN, PRIMITIVE_CHILDREN_RECURSE, PRIMITIVE_MEMBER, PRIMITIVE_MEMBER_AND_CHILDREN, PRIMITIVE_MEMBER_RECURSE, PROCESSING_INSTRUCTION, RECURSE, REFERENCE, REFERENCE_CHILDREN, REFERENCE_CHILDREN_RECURSE, REFERENCE_MEMBER, REFERENCE_MEMBER_AND_CHILDREN, REFERENCE_MEMBER_RECURSE, SAX_ERROR, SECONDPASS, START_DOCUMENT, START_ELEMENT, UNPARSED_ENTITY_DECL, WARNING`

Constructor Summary
`XMLToken(org.xml.sax.Locator locator, int type, java.lang.String name, java.lang.Object datum)`

Method Summary
`java.lang.String` | `getLocation()`
`java.lang.String` | `getLocationPad()`
`static java.lang.String` | `getTypeName(int t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

### name

    public java.lang.String name

### datum

    public java.lang.Object datum

Constructor Detail

### XMLToken

    public XMLToken(org.xml.sax.Locator locator,
                    int type,
                    java.lang.String name,
                    java.lang.Object datum)

Method Detail

### getTypeName

    public static java.lang.String getTypeName(int t)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLocation

    public java.lang.String getLocation()

### getLocationPad

    public java.lang.String getLocationPad()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD